<div class="face-snap-card" [ngClass]="{ snapped: textButton === 'Oops, only one Snap !' }">
    <p>{{ 4531223122.45 | number: '1.0-1' }}</p>
    <p>{{ 0.336 | percent: '1.0-1' }}</p>
    <p>{{ 344.36 | currency: 'EUR' : 'code' }}</p>
    <h2>{{ faceSnap.title | titlecase }}</h2>
    <button routerLink="/facesnaps">Back</button>
    <p>Mis en ligne:{{ faceSnap.createdDate | date: ' le d MMMM yyyy, à HH:mm' }}</p>
    <img [src]="faceSnap.imageUrl" [alt]="faceSnap.title">
    <p>{{ faceSnap.description }}</p>
    <p *ngIf="faceSnap.location">Photo prise à {{ faceSnap.location }}</p>
    <p>
        <button (click)="onSnap()">{{ textButton }}</button>
        <span [ngStyle]="{ color:'rgb(0,'+ faceSnap.snaps +',0)' }">🗻 {{ faceSnap.snaps }}</span>
    </p>
</div>